package com.hzya.frame.report.reportManage.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 报表管理表(ReportManage)实体类
 *
 * @author makejava
 * @since 2024-05-21 15:04:12
 */
public class ReportManageEntity extends BaseEntity {
 
  /**  报表ID */
   private String reportId;
  /**  报表名称 */
   private String reportName;
  /**  类别id */
   private String classifyId;
  /**  类别名称 */
   private String classifyName;
  /**  预览地址 */
   private String previewAddress;
  /**  状态: 0启用 1 停用 */
   private String state;
  /**  公司id */
   private String companyId;


    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public String getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(String classifyId) {
        this.classifyId = classifyId;
    }

    public String getPreviewAddress() {
        return previewAddress;
    }

    public void setPreviewAddress(String previewAddress) {
        this.previewAddress = previewAddress;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }
}

